bcr_test_module:
  module_path: ""
  matrix:
    platform:
      - debian10
      - debian11
      - ubuntu2004
      - ubuntu2204
      - macos
      - macos_arm64
      - windows
    bazel: [7.x, 8.x, 9.x]
    build_flags:
      - [--config=bcr_presubmit]
      - [--config=bcr_presubmit, "--@libarchive//:use_mbedtls"]
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags: ${{ build_flags }}
      test_flags: ${{ build_flags }}
      build_targets:
        - "@libarchive//..."
      test_targets:
        - "@libarchive//..."
